Can not select PHP Version for Website

Discussion in 'ISPConfig 3 Priority Support' started by muekno, Feb 12, 2021.

  1. muekno

    muekno Member HowtoForge Supporter

    Debian 10 latest patches ISPConfig 3.2.2
    PHP /.4 installed
    php -v
    PHP 7.4.15 (cli) (built: Feb 11 2021 21:22:21) ( NTS )
    Copyright (c) The PHP Group
    Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with Zend OPcache v7.4.15, Copyright (c), by Zend Technologies

    under system alternate PHP Version PHP7.3 and PHP7.4

    On my other system Debian 10 testing I had nothing to do but once the entries under system where there and I could select php version.
    Found server tutorials for multiple php version on the web, did not help
    need hint
    thanks
    Rainer
    P.S. Starting the installaler of TYPO3 11 it say PHP must bei 7.4 or above, while php -v tells me it is 7.4.15
     
  2. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    So you have added PHP 7.4 as additional PHP version under System -> Additional PHP versions?
    Is the entry enabled?
    Did you assign it to a client? (You should not do this if you want to use it for anyone).

    By the way, the PHP version on the CLI should be 7.3, change it back with
    Code:
    update-alternatives --config php
    update-alternatives --config php-cgi
     
  3. till

    till Super Moderator Staff Member ISPConfig Developer

  4. muekno

    muekno Member HowtoForge Supporter

    Sorry I had been blind, oversaw the additional tab
    Thank you
     

Share This Page